CPOCON(3f)

NAME
CPOCON - the reciprocal of the condition number (in the 1-norm) of a complex Hermitian positive definite matrix using the Cholesky factorization A = U**H*U or A = L*L**H computed by CPOTRF

SYNOPSIS

SUBROUTINE CPOCON(
    UPLO, N, A, LDA, ANORM, RCOND, WORK, RWORK, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDA, N

REAL
    ANORM, RCOND

REAL
    RWORK( * )

COMPLEX
    A( LDA, * ), WORK( * )

PURPOSE
CPOCON estimates the reciprocal of the condition number (in the 1-norm) of a complex Hermitian positive definite matrix using the Cholesky factorization A = U**H*U or A = L*L**H computed by CPOTRF. An estimate is obtained for norm(inv(A)), and the reciprocal of the condition number is computed as RCOND = 1 / (ANORM * norm(inv(A))).

ARGUMENTS

UPLO    (input) CHARACTER*1
    = 'U': Upper triangle of A is stored;
    = 'L': Lower triangle of A is stored.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

A       (input) COMPLEX array, dimension (LDA,N)
    The triangular factor U or L from the Cholesky factorization A = U**H*U or A = L*L**H, as computed by CPOTRF.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

ANORM   (input) REAL
    The 1-norm (or infinity-norm) of the Hermitian matrix A.

RCOND   (output) REAL
    The reciprocal of the condition number of the matrix A, computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is an estimate of the 1-norm of inv(A) computed in this routine.

WORK    (workspace) COMPLEX array, dimension (2*N)

RWORK   (workspace) REAL array, dimension (N)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value